## EProxy

EProxy

## Synopsis

                        EProxy;
    EProxy *            e_proxy_new                         (void);
    SoupURI *           e_proxy_peek_uri_for                (EProxy *proxy,
                                                             const gchar *uri);
    void                e_proxy_setup_proxy                 (EProxy *proxy);
    gboolean            e_proxy_require_proxy_for_uri       (EProxy *proxy,
                                                             const gchar *uri);

## Object Hierarchy

      GObject
       +----EProxy

## Signals

      "changed"                                        : Run First

## Description

## Details

### EProxy

    typedef struct _EProxy EProxy;

Contains only private data that should be read and manipulated using the function below.

Since 2.24

### e_proxy_new ()

    EProxy *            e_proxy_new                         (void);

Returns : |

Since 2.24

### e_proxy_peek_uri_for ()

    SoupURI *           e_proxy_peek_uri_for                (EProxy *proxy,
                                                             const gchar *uri);

`proxy` : |
`uri` : |
Returns : |

Since 2.26

### e_proxy_setup_proxy ()

    void                e_proxy_setup_proxy                 (EProxy *proxy);

`proxy` : |

### e_proxy_require_proxy_for_uri ()

    gboolean            e_proxy_require_proxy_for_uri       (EProxy *proxy,
                                                             const gchar *uri);

`proxy` : |
`uri` : |
Returns : |

Since 2.24

## Signal Details

### The `"changed"` signal

    void                user_function                      (EProxy  *proxy,
                                                            gpointer user_data)      : Run First

Emitted when proxy settings in gconf changes.

`proxy` : | the EProxy which emitted the signal
`user_data` : | user data set when the signal handler was connected.